package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF5F0 extends MwfRequest<MWF5F0, MWF5F0Response> {

    @Parameter(name = "AccountNumber")
    MWF5F0 accountNumber(String accountNumber);
    @Parameter(name = "AdditionalServiceState")
    MWF5F0 additionalServiceState(String additionalServiceState);
    @Parameter(name = "CIF")
    MWF5F0 cif(String cif);
    @Parameter(name = "CancellationDate")
    MWF5F0 cancellationDate(java.util.Date cancellationDate);
    @Parameter(name = "ChannelId")
    MWF5F0 channelId(String channelId);
    @Parameter(name = "CreationDate")
    MWF5F0 creationDate(java.util.Date creationDate);
    @Parameter(name = "Currency")
    MWF5F0 currency(String currency);
    @Parameter(name = "EmployeeRoleId")
    MWF5F0 employeeRoleId(String employeeRoleId);
    @Parameter(name = "PackageId")
    MWF5F0 packageId(String packageId);
    @Parameter(name = "Period")
    MWF5F0 period(String period);
    @Parameter(name = "Price")
    MWF5F0 price(Double price);
    @Parameter(name = "ProdInstKey")
    MWF5F0 prodInstKey(String prodInstKey);
    @Parameter(name = "ProductCode")
    MWF5F0 productCode(String productCode);
    @Parameter(name = "ProductType")
    MWF5F0 productType(String productType);
    @Parameter(name = "SSO")
    MWF5F0 sso(String sso);
}
